List models
import requests
url = "https://api.datagrid.com/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/models \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "model",
"id": "<string>",
"type": "agent",
"name": "<string>",
"provider": "<string>",
"available": true
}
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}Models
List models
Returns the agent models and LLMs accepted by config.agent_model and config.llm_model on POST /converse.
GET
/
models
List models
import requests
url = "https://api.datagrid.com/v1/models"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.datagrid.com/v1/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.datagrid.com/v1/models \
--header 'Authorization: Bearer <token>'{
"object": "list",
"data": [
{
"object": "model",
"id": "<string>",
"type": "agent",
"name": "<string>",
"provider": "<string>",
"available": true
}
]
}{
"status_code": 123,
"error": "rate_limit_exceeded",
"message": "<string>",
"retryable": true,
"statusCode": 123,
"mitigation": "<string>",
"details": {
"reason": "<string>"
}
}